#! /bin/sh

nicmond=/usr/local/sbin/nicmond
conf=/usr/local/etc/nicmond.conf
pidfile=/var/run/nicmond.pid
if="fxp0"

case "$1" in
start)
	if [ -x $nicmond -a -f $conf ]; then
		$nicmond -f $conf -p $pidfile $if
		echo -n ' nicmond'
	fi
	;;
stop)
	if [ -e $pidfile ]; then
		kill `head -1 $pidfile`
		rm -f $pidfile
	fi
	;;
restart)
	if [ -e $pidfile ]; then
		kill -HUP `head -1 $pidfile`
	fi
	;;
down0)
	if [ -e $pidfile ]; then
		kill -USR1 `head -1 $pidfile`
	fi
	;;
down1)
	if [ -e $pidfile ]; then
		kill -USR2 `head -1 $pidfile`
	fi
	;;
*)
#	echo "Usage: ${0##*/}: { start | stop | restart }" 2>&1
	echo "Usage: $0 { start | stop | restart | down0 | down1 }" 2>&1
	exit 65
	;;
esac
